Package: paraview
Version: 5.4.1+dfsg3-1+b2
Severity: important

Dear paraview Debian package maintainers,
I've just found a regression.

In a nutshell, version 5.4.1 fails to save animations as AVI files
(while version 5.1.2 was perfectly capable of doing so).
Other animation formats (OGV, PNG images, ...) seem to work as

In order to reproduce the bug, you may use the attached test case
(but please note that any other temporal data set will do...).
The compressed tar archive includes a small Fortran program that
generates the sample data and a ParaView state file.

Steps to reproduce the bug:

  0) compile gen_waveplot3d.f (with gfortran or another
     Fortran compiler)

  1) run the executable

  2) start ParaView

     $ paraview --state=wave_anim.pvsm

  3) select Save Animation ... from the File menu

  4) set the parameters (the values seem to make no difference)

  5) save to file "wave_anim_test.avi" (or any other file name with .avi

  6) the animation is not correctly saved as the requested AVI file
     and Paraview prints the following error messages (on the terminal):

     [avi @ 0x55fa91dfe560] Using AVStream.codec.time_base as a timebase hint 
to the muxer is deprecated. Set AVStream.time_base instead.
     [avi @ 0x55fa91dfe560] Using AVStream.codec to pass codec parameters to 
muxers is deprecated, use AVStream.codecpar instead.
     [rawvideo @ 0x55fa91feffe0] AVFrame.format is not set
     [rawvideo @ 0x55fa91feffe0] AVFrame.width or height is not set
     Generic Warning: In 
line 449
     Problem encoding frame.

     ERROR: In 
line 620
     vtkFFMPEGWriter (0x55fa93f5c9c0): Error storing image.

I hope you can investigate and fix this bug soon, as losing this
functionality is a very annoying limitation...

Thanks for your time!

-- System Information:
Debian Release: buster/sid
  APT prefers testing
  APT policy: (800, 'testing'), (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 4.14.0-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), 
LANGUAGE=en_US:en (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages paraview depends on:
ii  libavcodec57       7:3.4.2-1+b1
ii  libavformat57      7:3.4.2-1+b1
ii  libavutil55        7:3.4.2-1+b1
ii  libc6              2.26-6
ii  libcgns3.3         3.3.0-5
ii  libexpat1          2.2.5-3
ii  libfreetype6       2.8.1-2
ii  libgcc1            1:8-20180218-1
ii  libgl1             1.0.0-2
ii  libgl2ps1.4        1.4.0+dfsg1-1
ii  libhdf5-100        1.10.0-patch1+docs-4
ii  libjpeg62-turbo    1:1.5.2-2+b1
ii  libjsoncpp1        1.7.4-3
ii  libnetcdf13        1:4.6.0-2
ii  libogg0            1.3.2-1+b1
ii  libopenmpi2        2.1.1-8
ii  libpng16-16        1.6.34-1
ii  libprotobuf10      3.0.0-9.1
ii  libpython2.7       2.7.14-6
ii  libqt4-help        4:4.8.7+dfsg-11
ii  libqt4-network     4:4.8.7+dfsg-11
ii  libqtcore4         4:4.8.7+dfsg-11
ii  libqtgui4          4:4.8.7+dfsg-11
ii  libstdc++6         8-20180218-1
ii  libswscale4        7:3.4.2-1+b1
ii  libtheora0         1.1.1+dfsg.1-14+b1
ii  libtiff5           4.0.9-4
ii  libx11-6           2:1.6.4-3
ii  libxml2            2.9.4+dfsg1-6.1
ii  libxt6             1:1.1.5-1
ii  python-autobahn    17.10.1+dfsg1-2
ii  python-matplotlib  2.1.1-2
ii  python-mpi4py      2.0.0-3
ii  python-six         1.11.0-2
ii  python-twisted     17.9.0-1
ii  tcl [tclsh]        8.6.0+9
ii  zlib1g             1:1.2.8.dfsg-5

Versions of packages paraview recommends:
ii  mpi-default-bin  1.10
ii  paraview-doc     5.4.1+dfsg3-1
ii  paraview-python  5.4.1+dfsg3-1+b2

Versions of packages paraview suggests:
pn  h5utils     <none>
pn  hdf5-tools  <none>

-- no debconf information

Attachment: waveplot3d.tar.xz
Description: application/xz

Reply via email to